com.google.cloud.dataflow.sdk.io

## Class Read.Builder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.Read.Builder

Enclosing class:
  Read

    public static class Read.Builder
    extends Object

Helper class for building `Read` transforms.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> Read.Bounded<T>` `from(BoundedSource<T> source)` Returns a new `Read.Bounded` `PTransform` reading from the given `BoundedSource`.
`<T> Read.Unbounded<T>` `from(UnboundedSource<T,?> source)` Returns a new `Read.Unbounded` `PTransform` reading from the given `UnboundedSource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### from

    public <T> Read.Bounded<T> from(BoundedSource<T> source)

Returns a new `Read.Bounded` `PTransform` reading from the given `BoundedSource`.

#### from

    public <T> Read.Unbounded<T> from(UnboundedSource<T,?> source)

Returns a new `Read.Unbounded` `PTransform` reading from the given `UnboundedSource`.